package com.qmth.sop.business.bean.result;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;
import com.alibaba.excel.annotation.write.style.HeadStyle;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 客户收件信息
 * @Author haoguanghui
 * @date 2024/09/04
 */
@ColumnWidth(value = 30)
@HeadStyle(fillForegroundColor = 12)
@HeadFontStyle(color = 1)
public class SysCustomReceiverResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @JsonSerialize(using = ToStringSerializer.class)
    @ExcelIgnore
    private Long id;

    @ApiModelProperty(value = "业务类型")
    @ExcelIgnore
    private ProductTypeEnum type;

    @ApiModelProperty(value = "业务类型")
    @ExcelProperty(value = "业务类型")
    private String typeName;

    @ApiModelProperty(value = "客户名称")
    @ExcelProperty(value = "客户名称")
    private String name;

    @ApiModelProperty(value = "具体单位")
    @ExcelProperty(value = "具体单位")
    private String unit;

    @ApiModelProperty(value = "收件人")
    @ExcelProperty(value = "收件人")
    private String consignee;

    @ApiModelProperty(value = "收件人电话")
    @ExcelProperty(value = "收件人电话")
    private String consigneePhone;

    @ApiModelProperty(value = "收件人地址")
    @ExcelProperty(value = "收件人地址")
    private String consigneeAddress;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public ProductTypeEnum getType() {
        return type;
    }

    public void setType(ProductTypeEnum type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getConsigneePhone() {
        return consigneePhone;
    }

    public void setConsigneePhone(String consigneePhone) {
        this.consigneePhone = consigneePhone;
    }

    public String getConsigneeAddress() {
        return consigneeAddress;
    }

    public void setConsigneeAddress(String consigneeAddress) {
        this.consigneeAddress = consigneeAddress;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
}
